deposit_node_attr_from_selection {DiagrammeR} | R Documentation

## Deposit node attributes (based on a selection of nodes) in the graph

### Description

From a graph object of class `dgr_graph`, get node attribute properties for nodes available in a selection and deposit those values in the graph for later retrieval using `withdraw_values`.

### Usage

    deposit_node_attr_from_selection(graph, node_attr, mode = NULL)

### Arguments

`graph` | a graph object of class `dgr_graph` that is created using `create_graph`.
`node_attr` | the node attribute from which to obtain values.
`mode` | a option to recast the returned vector of node attribute value as `numeric` or `character`.

### Value

a graph object of class `dgr_graph`.

[Package DiagrammeR version 0.8.2 Index]